# Invocation Data Type

Properties
name | data type | description
--- | --- | ---
module_args | ModuleArgs |
module_name | string |
module_args | ModuleArgs |

Example

    {
      "module_args" : {
        "dpkg_options" : "...",
        "autoremove" : true,
        "force" : true,
        "name" : [ "...", "..." ],
        "install_recommends" : { },
        "package" : [ "...", "..." ],
        "purge" : true,
        "allow_unauthenticated" : true,
        "state" : "...",
        "upgrade" : { },
        "update_cache" : true,
        "deb" : { },
        "only_upgrade" : true,
        "default_release" : { },
        "cache_valid_time" : 12345
      },
      "module_name" : "..."
    }